GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Service Class Reference

## Public Member Functions
ShopReturnService | getShopReturn ()
void | setShopReturn (ShopReturnService value)

## Protected Attributes
ShopReturnService | shopReturn

## Detailed Description

Allowed services objects f.e. Parcel -> cash, ident, ...

Java class for Service complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Service">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="ShopReturn" type="{http://fpcs.gls-group.eu/v1/Common}ShopReturnService"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Service.java.

## Member Function Documentation

## ◆ getShopReturn()

ShopReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Service.getShopReturn | ( |  | ) |

Gets the value of the shopReturn property.

Returns
  possible object is ShopReturnService

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Service.java.

## ◆ setShopReturn()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Service.setShopReturn | ( | ShopReturnService | value | ) |

Sets the value of the shopReturn property.

Parameters

  value | allowed object is ShopReturnService

Definition at line 64 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Service.java.

## Member Data Documentation

## ◆ shopReturn

ShopReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Service.shopReturn
| protected

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Service.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Service.java